<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::FileSystemArchive Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#a527675b915110919a754a226feebc4f">Archive</a>(const String &amp;name, const String &amp;archType)</td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#fa703d83c696b6b78dc7efe8114e468e">exists</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#d111ff8850ae6536219562a5906dc6de">FileSystemArchive</a>(const String &amp;name, const String &amp;archType)</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#47dc8d47bb6a6738a85f62f816bfd7f8">find</a>(const String &amp;pattern, bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#2d9eb31d4d17fdb4b35c5ad1c739f1be">findFileInfo</a>(const String &amp;pattern, bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#5220c8a24a86cde1343dc0442f0a11b1">findFiles</a>(const String &amp;pattern, bool recursive, bool dirs, StringVector *simpleList, FileInfoList *detailList)</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#a4860f997861f44b61a436d55cdcc66b">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#b0fe79a8deba20a1cc1301f68805b621">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#c3a99075db0a1e06ee0a856dfa05f5a9">isCaseSensitive</a>(void) const </td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#5907d6e8da20de62af12d564d9fbd279">list</a>(bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#ebb587510a65222aca84fa6f8eb69e0f">listFileInfo</a>(bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#f3fbf5feb7c3875831d22808b3545d75">load</a>()</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#b1e42e1a419b26b1b7c6f26b77dde5a3">mName</a></td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#bf7ba39bebb760ce55d517aa289096fb">mType</a></td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#7c642fb75a5b88aa8bb0366e94302a1a">open</a>(const String &amp;filename) const </td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#8364eb430fccfbe249b64c0dd29c2cb5">unload</a>()</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#370fba29d752fa317e992aec6625d5ed">~Archive</a>()</td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileSystemArchive.html#d89960cb80cf490a23cab7b909ffa092">~FileSystemArchive</a>()</td><td><a class="el" href="classOgre_1_1FileSystemArchive.html">Ogre::FileSystemArchive</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:41 2008
</p>
</body>
</html>
